<?php
/**
* Va-Functions.inc.php :: CustomFooter()
*
* A footer for all pages. Displays execution time and copyright information.
* For dark backgrounds, set $color to 1.
*
* @param boolean $color
* @param boolean $noBar
*/
function CustomFooter($color = 0, $noBar = 0) {
    if (!is_bool($color)) {
        $color = (boolean) $color;
    }
    if (!is_bool($noBar)) {
        $noBar = (boolean) $noBar;
    }

    global $CONFIG;
    global $VERSION;
    global $startTime;

    $totalTime = round(ProgramTime() - $startTime, 4);
    if (!$color) {
?>

<style>
a.footerBoldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight:bold }
a.footerBoldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFF00; font-weight:bold }
.footerBody              { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
.footerBoldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight:bold }
.footerVersion           { font-family: Courier New;               font-size: 8pt;  color: #808080; font-weight:bold }
</style>

<br />
<div align="center">
    <center>
    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
        <tr>
            <td width="100%" align="center" valign="top">

                <p><span class="footerBoldBody">This page is powered by <a href="http://www.vadvphp.com"><font color="#FFFFFF"><b>VADV-PHP</b></font></a></span><br /><span class="footerBody">Execution Time: <?php print $totalTime; ?> seconds</span></p>
                <p class="footerBody">If you experience any problems with this website or need help, contact the <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br /> Ati Red Theme for VADV-PHP Copyright  2008-<?php print date('Y'); ?> Timothy Cornett and Nassau Web Technologies All Rights Reserved.<br /> VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br /> Virtual Advanced Copyright  1995-1997 Roland De Graaf.<br /><span class="footerVersion">v<?php print $VERSION; ?></span></p>
            </td>
        </tr>
    </table>
    </center>
</div>

<?php
    } else {
?>

<style>
a.footerBoldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight:bold }
a.footerBoldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight:bold }
.footerBody              { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
.footerBoldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight:bold }
.footerVersion           { font-family: Courier New;               font-size: 8pt;  color: #C0C0C0; font-weight:bold }
</style>

<hr color="#525552">
<div align="center">
    <center>
    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
        <tr>
            <td width="100%" align="center" valign="top">
                <p><span class="footerBoldBody">This page is powered by <a class="footerBoldBody" href="http://www.vadvphp.com">VADV-PHP</a></span><br /><span class="footerBody">Execution Time: <?php print $totalTime; ?> seconds</span></p>
                <p class="footerBody">If you experience any problems with this website or need help, contact the <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br /> Ati Red Theme for VADV-PHP Copyright  <?php print date('Y'); ?> Timothy Cornett and Nassau Web Technologies All Rights Reserved.<br /> VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br /> Virtual Advanced Copyright  1995-1997 Roland De Graaf.<br /><span class="footerVersion">v<?php print $VERSION; ?></span></p>
            </td>
        </tr>
    </table>
    </center>
</div>

<?php
    }
}
?>